> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# List outgoing communications

GET https://api.calendly.com/outgoing_communications

> This endpoint requires an Enterprise subscription.

> `outgoing_communications:read`

Returns a list of outgoing SMS and email communications.

Reference: https://developer.calendly.com/api-docs/calendly-api/outgoing-communications/list-outgoing-communications

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Query parameters

- `organization` (string, required) — Return outgoing communications from the organization associated with this URI
- `count` (integer, optional, default: 20) — The number of records to return
- `min_created_at` (string, optional) — Include outgoing communications that were created after this time (sample time format: "2020-01-02T03:04:05.678Z"). This time should use the UTC timezone
- `max_created_at` (string, optional) — Include outgoing communications that were created prior to this time (sample time format: "2020-01-02T03:04:05.678Z"). This time should use the UTC timezone
- `page_token` (string, optional) — The token to pass to get the next portion of the collection

## Response

### 200

OK

- `collection` (list of OutgoingCommunicationsGetResponsesContentApplicationJsonSchemaCollectionItems, required) — The communications matching the criteria
- `pagination` (Pagination, required)
- `total_count` (integer, required) — Total number of records based on search criteria

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission Denied or insufficient scope

- `Get-outgoing-communicationsRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### OutgoingCommunicationsGetResponsesContentApplicationJsonSchemaCollectionItems

### Pagination

- `count` (integer, required) — The number of rows to return
- `next_page` (string, required, nullable) — URI to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page` (string, required, nullable) — URI to return the previous page of an ordered list ("null" indicates no additional results are available)
- `next_page_token` (string, required, nullable) — Token to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page_token` (string, required, nullable) — Token to return the previous page of an ordered list ("null" indicates no additional results are available)

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### EnterpriseOwnerAdminError

Permission Denied

- `title` (enum, optional)
  - Allowed values: `Permission Denied`
- `message` (enum, optional)
  - Allowed values: `Please upgrade your Calendly account to Enterprise.`, `You do not have permission to access this resource.`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### sms

Object for a SMS communication

- `type` (enum, required)
  - Allowed values: `sms`
- `to` (string, required)
- `from` (string, required)
- `subject` (string, required, nullable)
- `body` (string, required)
- `sender_uri` (string, required, nullable)
- `sender_email` (string, required, nullable)
- `event_type_uri` (string, required)
- `event_uri` (string, required)
- `sent_at` (string, required) — The UTC date and time when the SMS message was sent (format: "2020-01-02T03:04:05.678123Z")
- `created_at` (string, required) — The UTC date and time when the SMS message was created (format: "2020-01-02T03:04:05.678123Z")
- `scheduling_url` (string, required)

### email

Object for an Email communication

- `type` (enum, required)
  - Allowed values: `email`
- `to` (string, required)
- `from` (string, required)
- `subject` (string, required)
- `body` (string, required)
- `sender_uri` (string, required, nullable)
- `sender_email` (string, required, nullable)
- `event_type_uri` (string, required)
- `event_uri` (string, required)
- `sent_at` (string, required) — The UTC date and time when the email message was sent (format: "2020-01-02T03:04:05.678123Z")
- `created_at` (string, required) — The UTC date and time when the email message was created (format: "2020-01-02T03:04:05.678123Z")
- `scheduling_url` (string, required)

## Examples

**Response**

```json
{
  "collection": [
    {
      "body": "Your scheduled event is coming up.",
      "created_at": "2023-09-24T11:12:13.145Z",
      "event_type_uri": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA",
      "event_uri": "https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA",
      "from": "+14042916667",
      "scheduling_url": "https://calendly.com/event/name",
      "sender_email": "user@example.com",
      "sender_uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
      "sent_at": "2023-09-24T11:12:13.145Z",
      "subject": "",
      "to": "+14047549876",
      "type": "sms"
    }
  ],
  "pagination": {
    "count": 20,
    "next_page": "https://api.calendly.com/event_types?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page": "https://api.calendly.com/event_types?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H",
    "next_page_token": "sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page_token": "VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H"
  },
  "total_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.calendly.com/outgoing_communications"

querystring = {"max_created_at":"2020-01-02T12:30:00Z","min_created_at":"2020-01-02T12:30:00Z","organization":"https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/outgoing_communications?max_created_at=2020-01-02T12%3A30%3A00Z&min_created_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```